#pragma once

//
// _~[̃\[XtB^
//

//o̓s
class CDummySourceStream : public CSourceStream
{
	CMediaType m_cmt;
	BITMAPINFOHEADER* GetBmiHeader(const CMediaType &cmt) const;

public:
	CDummySourceStream(HRESULT *phr, CSource *pms);
	~CDummySourceStream(void);

	HRESULT GetMediaType(CMediaType *pMediaType);
	HRESULT CheckMediaType(const CMediaType *pMediaType);


	HRESULT DecideBufferSize(IMemAllocator *pAlloc,
		ALLOCATOR_PROPERTIES *pProp );

	HRESULT FillBuffer(IMediaSample *pSamp);

	HRESULT SetOutputMediaType(CMediaType *pMediaType);

	const CMediaType* GetMediaType(void) const { return &m_cmt; }
};

//tB^̖{
class CDummySource : public CSource
{

public:
	CDummySource(void);
	~CDummySource(void);

	//VMRVideoDesc to VIDEOINFO2
	HRESULT SetVMRVideoDesc(VMRVideoDesc *dsc);
	HRESULT SetVMRVideoDesc(VMR9VideoDesc *dsc);

	const CMediaType* GetMediaType(int n);
};

