// ChkDeintCapsDlg.h : wb_[ t@C
//

#pragma once

// CChkDeintCapsDlg _CAO

class CDummySource;

class CChkDeintCapsDlg : public CDialog
{
public:
	CChkDeintCapsDlg(CWnd* pParent = NULL);   // WRXgN^

	afx_msg BOOL OnToolTipNotify(UINT id, NMHDR *pNMHDR, LRESULT *pResult);

// _CAO f[^
	enum { IDD = IDD_CHKDEINTCAPS_DIALOG };

protected:
	HICON m_hIcon;

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnBnClickedChkdeintChk();
	DECLARE_MESSAGE_MAP()

private:
	// ʂtH[}bgďo
	CEdit m_edit;
	//_I
	enum VR { VMR7 = 0, VMR9, VMR7_YUV, VMR9_YUV, EVR };
	int m_vr;
	//𑜓x
	CComboBox m_size;
	//t[[g
	CComboBox m_rate_in;
	CComboBox m_rate_out;
	//sNZtH[}bg
	CComboBox m_format;
	// Top field first
	BOOL m_tff;
	// C^[[u
	BOOL m_interleaved;

	CString FCCtoString(DWORD fcc);

	void SetVMRVideoDesc(VMRVideoDesc *dsc);
	void SetVMRVideoDesc(VMR9VideoDesc *dsc);

	CString VMRVideoDescToString(VMRVideoDesc *dsc);
	CString VMRVideoDescToString(VMR9VideoDesc *dsc);

	CString VMRDeinterlaceCapsToString(VMRDeinterlaceCaps *caps);
	CString VMRDeinterlaceCapsToString(VMR9DeinterlaceCaps *caps);
	CString DXVA2VideoProcessorCapsToString(DXVA2_VideoProcessorCaps *caps);

	HRESULT DoCheck(CString &out);
	HRESULT CheckVMR(IFilterGraph2 *pGraph, CDummySource *pDS, CString &out, bool yuv);
	HRESULT CheckVMR9(IFilterGraph2 *pGraph, CDummySource *pDS, CString &out, bool yuv);
	HRESULT CheckEVR(IFilterGraph2 *pGraph, CDummySource *pDS, CString &out);

	HRESULT GetVR1stPin(IBaseFilter *pVr, IPin **ppPin);

	HRESULT GetDeinterlaceCaps(IUnknown *pUnk, VMR9VideoDesc *dsc, 
		DWORD *num, GUID **puid, VMR9DeinterlaceCaps **caps);
	HRESULT GetDeinterlaceCaps(IUnknown *pUnk, VMRVideoDesc *dsc,
		DWORD *num, GUID **puid, VMRDeinterlaceCaps **caps);

};
